Linux Help
guides forums blogs
Home Desktops Distributions ISO Images Logos Newbies Reviews Software Support & Resources Linuxhelp Wiki

Welcome Guest ( Log In | Register )



Advanced DNS Management
New ZoneEdit. New Managment.

FREE DNS Is Back

Sign Up Now
> [Kali] trunk-686-pae problem when trying to 'make' file, Trying to make a file to install packet injection driver
GS6X
post Mar 23 2014, 03:40 PM
Post #1


Whats this Lie-nix Thing?
*

Group: Members
Posts: 1
Joined: 23-March 14
Member No.: 18,681



I am using Kali Linux and I have been having some problems and doing a bunch of research and asking in other forums and I just can't find the answer!! But here is what the issue is. I am trying to install a driver for my Intel PRO/Wireless 3945 ABG wireless driver to enable packet injection. So I looked and found a tutorials onlne, and here is what happend:

The tutorial says to do the following:

1. sudo apt-get install build-essential libssl-dev

CODE
root@GS6X:~# sudo apt-get install build-essential libssl-dev
Reading package lists... Done
Building dependency tree      
Reading state information... Done
build-essential is already the newest version.
libssl-dev is already the newest version.
The following packages were automatically installed and are no longer required:
  baobab caribou caribou-antler dnsmasq-base empathy empathy-common
  fonts-cantarell gcalctool gnome-backgrounds gnome-dictionary
  gnome-disk-utility gnome-font-viewer gnome-icon-theme-extras
  gnome-packagekit gnome-packagekit-data gnome-screenshot gnome-system-log
  gucharmap libavahi-gobject0 libavahi-ui-gtk3-0 libcaribou-gtk-module
  libcaribou-gtk3-module libchamplain-0.12-0 libchamplain-gtk-0.12-0
  libgdict-1.0-6 libgdict-common libgdu-gtk0 libgeocode-glib0 libjim0debian2
  libmozjs22d libnfc3 libnl-route-3-200 libruby libtelepathy-farstream2
  libunique-3.0-0 libwireshark2 libwiretap2 libwsutil2
  mobile-broadband-provider-info modemmanager nautilus-sendto-empathy
  network-manager network-manager-gnome python-apsw ruby-crack ruby-diff-lcs
  ruby-rspec ruby-rspec-core ruby-rspec-expectations ruby-rspec-mocks
  ruby-simplecov ruby-simplecov-html sound-theme-freedesktop telepathy-gabble
  telepathy-logger telepathy-salut usb-modeswitch usb-modeswitch-data vino
  xulrunner-22.0
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 14 not upgraded.


2. wget aircrack website for driver

CODE
root@GS6X:~# wget airccrack-ng/drivers/ipwraw-ng-2.3.4-04022008.tar.bz2
--2014-03-21 17:23:32--  website
Resolving wesbite... 2001:41d0:1:1b00:87:98:255:2, 87.98.255.2
Connecting to website|2001:41d0:1:1b00:87:98:255:2|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 177591 (173K) [application/x-bzip2]
Saving to: `ipwraw-ng-2.3.4-04022008.tar.bz2'

100%[======================================>] 177,591      261K/s   in 0.7s    

2014-03-21 17:23:33 (261 KB/s) - `ipwraw-ng-2.3.4-04022008.tar.bz2' saved [177591/177591]

root@GS6X:~#


3. Now I have to extract the folder, which I did using an archive program. And then change the directory to where the folder is.

CODE
root@GS6X:~# cd /root/ipwraw-ng
root@GS6X:~/ipwraw-ng#


4. Now they want me to compile the source, by using the 'make' command and this is where the error happens:

CODE
root@GS6X:~/ipwraw-ng# make

WARNING: $SHELL not set to bash.
If you experience build errors, try
'make SHELL=/bin/bash'.

make -C /lib/modules/3.7-trunk-686-pae/build M=/root/ipwraw-ng modules
make: *** /lib/modules/3.7-trunk-686-pae/build: No such file or directory.  Stop.
make: *** [modules] Error 2
root@GS6X:~/ipwraw-ng#


So, it says "WARNING: $SHELL not set to bash. if you experience build errors, try 'make SHELL=/bin/bash". So I tried two different options, one that had a result that was basically the same and the other I had no idea what to do next...

CODE
root@GS6X:~/ipwraw-ng# make SHELL=/bin/bash
make -C /lib/modules/3.7-trunk-686-pae/build M=/root/ipwraw-ng modules
make: *** /lib/modules/3.7-trunk-686-pae/build: No such file or directory.  Stop.
make: *** [modules] Error 2
root@GS6X:~/ipwraw-ng#


and...

CODE
root@GS6X:~/ipwraw-ng# 'make SHELL=/bin/bash
>


I have no idea what to do after the > (As you can probably already tell I am new to Kali and new to Linux all together but I need to learn!!)


So I can not continue with the tutorial until I can make this file!!

After doing lots of research the most I could find is to do apt-get update, apt-get upgrade, and apt-get dist-upgrade which I have done hundreds of times. I have tried everything I could find online, I have updated, upgraded and dist-upgraded and restarted the computer, when asked which one I wanted to use I chose the trunk-686-pae rather than the Kali Linux one, I don't know what else to do!!

Please help! If there is another way of doing this, or another driver to enable packet injection, or if I should try something else or use the Atheros AR928X one instead please let me know! And I am connected via Ethernet right now because that is what it said to do on one of those tutorials!!

Thaks for any help!
Go to the top of the page
 
+Quote Post

Posts in this topic


Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 22nd October 2017 - 12:38 PM